package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 忘记密码申请对象 sys_forget_password
 * 
 * @author ruoyi
 * @date 2022-11-03
 */
public class ForgetPassword extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long pId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 登录名 */
    @Excel(name = "登录名")
    private String loginName;

    /** 期望密码 */
    @Excel(name = "期望密码")
    private String expectPassword;

    /** 确认密码 */
    @Excel(name = "确认密码")
    private String confirmPassword;
    /** 申请时间 */
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 状态（0未修改 1已修改） */
    @Excel(name = "状态", readConverterExp = "0=未修改,1=已修改")
    private String status;

    public void setpId(Long pId) 
    {
        this.pId = pId;
    }

    public Long getpId() 
    {
        return pId;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

    public void setConfirmPassword(String confirmPassword) {
        this.confirmPassword = confirmPassword;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public void setExpectPassword(String expectPassword)
    {
        this.expectPassword = expectPassword;
    }

    public String getExpectPassword() 
    {
        return expectPassword;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("pId", getpId())
            .append("expectPassword", getExpectPassword())
            .append("applyTime", getApplyTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
